Loading...
Searching...
No Matches
gtsam::traits< Cal3_S2 > Struct Reference
Inheritance diagram for gtsam::traits< Cal3_S2 >:

## Additional Inherited Members

Public Member Functions inherited from gtsam::internal::ManifoldTraits< Cal3_S2 >
| BOOST_CONCEPT_ASSERT ((HasManifoldPrereqs< Cal3_S2 >))
Public Member Functions inherited from gtsam::Testable< Cal3_S2 >
| BOOST_CONCEPT_ASSERT ((HasTestablePrereqs< Cal3_S2 >))
Static Public Member Functions inherited from gtsam::internal::ManifoldTraits< Cal3_S2 >
static TangentVector | Local (const Cal3_S2 &origin, const Cal3_S2 &other)
static Cal3_S2 | Retract (const Cal3_S2 &origin, const TangentVector &v)
Static Public Member Functions inherited from gtsam::internal::GetDimensionImpl< Cal3_S2, Cal3_S2::dimension >
static int | GetDimension (const Cal3_S2 &)
Static Public Member Functions inherited from gtsam::Testable< Cal3_S2 >
static void | Print (const Cal3_S2 &m, const std::string &str="")
static bool | Equals (const Cal3_S2 &m1, const Cal3_S2 &m2, double tol=1e-8)
Public Types inherited from gtsam::internal::ManifoldTraits< Cal3_S2 >
enum |
typedef Cal3_S2 | ManifoldType
typedef manifold_tag | structure_category
typedef Eigen::Matrix< double, dimension, 1 > | TangentVector

The documentation for this struct was generated from the following file:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/geometry/Cal3_S2.h